# Uses of Class
org.springframework.http.client.reactive.JettyResourceFactory

Packages that use JettyResourceFactory
Package
Description
org.springframework.http.client.reactive
Abstractions for reactive HTTP client support including `ClientHttpRequest` and `ClientHttpResponse` as well as a `ClientHttpConnector`.

## Uses of JettyResourceFactory in org.springframework.http.client.reactive

Constructors in org.springframework.http.client.reactive with parameters of type JettyResourceFactory
Modifier
Constructor
Description
``
`JettyClientHttpConnector(org.eclipse.jetty.client.HttpClient httpClient, JettyResourceFactory resourceFactory)`
Constructor with an initialized `HttpClient` and configures it with the given `JettyResourceFactory`.
``
`JettyClientHttpConnector(JettyResourceFactory resourceFactory, Consumer<org.eclipse.jetty.client.HttpClient> customizer)`
Deprecated.
as of 5.2, in favor of `JettyClientHttpConnector(HttpClient, JettyResourceFactory)`